XWAYLAND(1)

NAME
Xwayland - an X server for running X clients under Wayland.

SYNOPSIS
Xwayland [option ...]

DESCRIPTION
Xwayland is an X server and a Wayland client. It plays the role of a proxy between legacy X clients which do not support the Wayland protocols and the Wayland server.

Usually, Xwayland is spawned automatically by the Wayland server and runs rootless so that X clients integrate seamlessly with the rest of the Wayland desktop. It is however possible for a user to launch Xwayland non-rootless, mainly for testing purposes.

Like all of the X servers, Xwayland accepts the command line options described in the Xserver(@miscmansuffix@) manual page. The following additional arguments are supported as well.

-eglstream
    Use EGLStream backend for NVidia GPUs. If Xwayland was compiled with EGLStream support, this option will instruct Xwayland to try that backend first, then fallback to the GBM backend if EGLStream is not supported by the Wayland server. Without this option, Xwayland tries the GBM backend first, and fallback to EGLStream if GBM is not usable.

-initfd fd
    Add the given fd as a listen socket for initialization of X clients. This options is aimed at Wayland servers which run Xwayland on-demand, to be able to spawn specific X clients which need to complete before other regular X clients can connect to Xwayland, like xrdb.

-listen fd
    deprecated, use -listenfd instead.

-listenfd fd\fP
    Add given fd as a listen socket. This option is used by the Wayland server to pass Xwayland the socket where X clients connect.

-rootless
    Run Xwayland rootless, so that X clients integrate seamlessly with Wayland clients in a Wayland desktop. That requires the Wayland server to be an X window manager as well.

-shm
    Force the shared memory backend instead of glamor (if available) for passing buffers to the Wayland server.

-verbose [n]
    Sets the verbosity level for information printed on stderr. If the n value isn't supplied, each occurrence of this option increments the verbosity level. When the n value is supplied, the verbosity level is set to that value. The default verbosity level is 0.

-version
    Show the server version and exit.

-wm fd
    This option is used by the Wayland server to pass Xwayland the socket where the X window manager client connects, when Xwayland is running with -rootless.

ENVIRONMENT

WAYLAND_DISPLAY
    the name of the display of the Wayland server.

XWAYLAND_NO_GLAMOR
    disable glamor and DRI3 support in Xwayland, for testing purposes.

SEE ALSO
General information: X(@miscmansuffix@)